Skip to main content
GET
/
static
/
projects
/
{projectId}
/
spaces
/
{spaceId}
/
collection
/
categories
cURL
curl --request GET \
  --url https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/collection/categories \
  --header 'x-r25-ac-api-key: <x-r25-ac-api-key>' \
  --header 'x-r25-ac-api-secret: <x-r25-ac-api-secret>'
import requests

url = "https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/collection/categories"

headers = {
"x-r25-ac-api-key": "<x-r25-ac-api-key>",
"x-r25-ac-api-secret": "<x-r25-ac-api-secret>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-r25-ac-api-key': '<x-r25-ac-api-key>',
'x-r25-ac-api-secret': '<x-r25-ac-api-secret>'
}
};

fetch('https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/collection/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalCount": 999999,
  "currentPage": 1,
  "list": [
    {
      "categoryId": "<string>",
      "name": "<string>",
      "projectId": "<string>",
      "spaceId": "<string>",
      "createdAt": 123,
      "updatedAt": 123,
      "alias": "<string>"
    }
  ]
}

Headers

x-r25-ac-api-key
string
required

コンソールで取得したAPIキーを指定してください。

x-r25-ac-api-secret
string
required

コンソールで取得したAPIシークレットを指定してください。

Path Parameters

projectId
string
required

ご自身のプロジェクトIDを指定してください。

spaceId
string
required

ご自身のスペースIDを指定してください。

Query Parameters

page
integer
default:1

sizeで指定した数で何ページ目のリソースを取得するか指定できます。

Required range: x >= 1
size
integer
default:10

最大何個のリソースを取得するか指定できます。

Required range: 1 <= x <= 99
order
string

リソースの順番を指定できます。カンマ区切りで、複数の値を指定できます。複数指定の場合、指定した順にソートされます。 e.g. createdAt:desc,updatedAt:asc

categoryIds
string[]

カテゴリーIDを複数指定して取得できます。

Minimum array length: 1

Response

カテゴリー一覧

totalCount
integer
required
Example:

999999

currentPage
integer
required
Example:

1

list
object[]
required